#ifndef RS5C372A_H
#define RS5C372A_H

#define RTC_TWI_ADR 		0x64

// zum Kalibrieren der Uhr - siehe Manual
#define TIME_TRIM			36

#define CTRL_REG_1		0x0E
#define AALE				7
#define BALE				6
#define CT0					0
#define CT1					1
#define CT2					2

#define CTRL_REG_2		0x0F
#define HOUR24				5
#define XSTP				4
#define CLEN				3
#define CTFG				2
#define AAFG				1
#define BAFG				0

#define TRIM_REG			7
#define ALARM_REG_A		8
#define ALARM_REG_B		11

#define SUNDAY			0x01
#define MONDAY			0x02
#define TUESDAY		0x04
#define WEDNESDAY		0x08
#define THURSDAY		0x10
#define FRIDAY			0x20
#define SATURDAY		0x40
#define EVERY_DAY		0x7F


#define SECOND		0
#define MINUTE		1
#define HOUR		2
#define DOW			3
#define DAY			4
#define MONTH		5
#define YEAR		6

#define CONTINUE	0
#define QUIT		1



#endif
